#Tarball of svn snapshot created as follows...
#Cut and paste in a shell after removing initial #

#svn co http://svn.enlightenment.org/svn/e/trunk/e e; \
#cd e; \
#SVNREV=$(LANGUAGE=C svn info | grep "Last Changed Rev:" | cut -d: -f 2 | sed "s@ @@"); \
#v_maj=$(cat configure.ac | grep 'm4_define(\[v_maj\],' | cut -d' ' -f 2 | cut -d[ -f 2 | cut -d] -f 1); \
#v_min=$(cat configure.ac | grep 'm4_define(\[v_min\],' | cut -d' ' -f 2 | cut -d[ -f 2 | cut -d] -f 1); \
#v_mic=$(cat configure.ac | grep 'm4_define(\[v_mic\],' | cut -d' ' -f 2 | cut -d[ -f 2 | cut -d] -f 1); \
#PKG_VERSION=$v_maj.$v_min.$v_mic.$SVNREV; \
#cd ..; \
#tar -Jcf e-$PKG_VERSION.tar.xz e/ --exclude .svn --exclude .*ignore

%define use_ccache 1
%define oname	enlightenment

%define svnrev 66770

Summary: 	Enlightenment DR 17 window manager
Name: 		e
Version: 	0.16.999.%{svnrev}
Release: 	2
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source0: 	http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.xz
Source1:	mandriva.edj.bz2
#Patch0:		e17_sysactions.conf.patch

BuildRequires:	eet >= 1.4.0
BuildRequires:	edje >= 1.0.0
BuildRequires:	embryo >= 1.0.0
BuildRequires:	evas >= 1.0.0
BuildRequires:	multiarch-utils
BuildRequires:	pm-utils
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(alsa)
Buildrequires:	pkgconfig(ecore) >= 1.0.0
BuildRequires:	pkgconfig(edje) >= 1.0.0
BuildRequires:	pkgconfig(edbus) >= 1.0.0
BuildRequires:	pkgconfig(eeze) >= 1.0.0
Buildrequires:	pkgconfig(efreet) >= 1.0.0
Buildrequires:	pkgconfig(embryo) >= 1.0.0
BuildRequires:	pkgconfig(evas) >= 1.0.0
BuildRequires:	pkgconfig(exchange)

#Requires:	acpitool
Requires:	pm-utils
Requires:	eet >= 1.4.0
Requires:	ecore >= 1.0.0
Requires:	efreet >= 1.0.0
Requires:	embryo >= 1.0.0
Requires:	e_dbus >= 1.0.0
Requires:	evas >= 1.0.0

Provides:   %{oname} = %{version}-%{release}

%description
E17 is a next generation window manager for UNIX operating systems. Based on
the Enlightenment Foundation Libraries (EFL), E17 is much more than just
another window manager - it's an ambitious and innovative project that aims
to drive the development of graphical applications industry-wide for several
years to come.

%package devel
Summary: Enlightenment library headers and development libraries
Group: Development/C

%description devel
E17 development headers and development libraries.

%prep
%setup -qn %{name}
perl -pi -e 's|/lib|/%{_lib}||g' src/bin/e_start_main.c
%apply_patches

sed -i s,release_info=\"-release\ \$release\",release_info=\"\",g configure.ac

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x \
	--enable-files \
	--enable-device-udev \
	--enable-exchange
# add the Mandriva profil
# default profil is the mandriva one

%make

%install
rm -fr %{buildroot}
%makeinstall_std
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{oname}

#fake e-config
touch %{buildroot}/%{_bindir}/%{oname}-config
%multiarch_binaries %{buildroot}/%{_bindir}/%{oname}-config

#fix bad perms
chmod a=rx,u+xws %{buildroot}%{_libdir}/%{oname}/modules/cpufreq/linux-*/freqset
chmod a=rx,u+xws %{buildroot}%{_libdir}/%{oname}/utils/enlightenment_sys
chmod a=rx,u+xws %{buildroot}%{_libdir}/%{oname}/utils/enlightenment_backlight

# display manager entry
mkdir -p %{buildroot}/%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}/%{_sysconfdir}/X11/wmsession.d/23E17
NAME=E17
ICON=
EXEC=/usr/bin/enlightenment_start
SCRIPT:
exec /usr/bin/enlightenment_start
EOF

# We already have wmsession.d/23E17, so we can remove
# xsessions/enlightenment.desktop. If we keep both files, we'll have both "E17"
# and "Enlightenment" options in the Display Manager (GDM, Entrance), which is
# not good.
# Also, the wmsession.d file is used to generate
# /etc/X11/dm/Sessions/23E17.desktop, which uses Xsession and consequently
# consolekit. If you re-enable the sessions/enlightenment.desktop, please patch
# it to use Exec="/usr/share/X11/xdm/Xsession E17". See bug #59123
rm -f %{buildroot}/%{_datadir}/xsessions/%{oname}.desktop

cp -av %{SOURCE1} /%{buildroot}/%{_datadir}/%{oname}/data/backgrounds/
bunzip2 -v /%{buildroot}/%{_datadir}/%{oname}/data/backgrounds/mandriva.edj.bz2

%files -f %{oname}.lang
%doc AUTHORS README COPYING doc/*
%config %{_sysconfdir}/X11/wmsession.d/23E17
%config(noreplace) %{_sysconfdir}/%{oname}/sysactions.conf
%{_sysconfdir}/xdg/menus/enlightenment.menu
%{_bindir}/%{oname}
%{_bindir}/%{oname}_*
%{_datadir}/%{oname}
%{_libdir}/%{oname}

%files devel
%defattr(-,root,root)
%{_bindir}/%{oname}-config
%{multiarch_bindir}/%{oname}-config
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{oname}


%changelog
* Wed Jan 11 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.16.999.66770-2
+ Revision: 759678
- bump
- build with pm-utils
- why patch to build with acpitool
- added BR for exchange

* Wed Jan 11 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.16.999.66770-1
+ Revision: 759670
- fixed typoes
- files list
- removed uneeded p1 & p2
- rediff p0
- new version/snapshot 0.16.999.66770
- merged in UnityLinux spec
- cleaned up spec
- converted BRs to pkgconfig provides

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 0.16.999.55225-1mdv2011.0
+ Revision: 622841
- new version 0.16.999.55225

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 0.16.999.54504-1mdv2011.0
+ Revision: 597966
- new version 0.16.999.54504

* Sat Nov 06 2010 Rémy Clouard <shikamaru@mandriva.org> 0.16.999.52995-3mdv2011.0
+ Revision: 594169
- fix build, use a wildcard for the moment, dunno how to escape these parentheses properly

  + Funda Wang <fwang@mandriva.org>
    - bump rel
    - fix build
    - New version 0.16.999.52995

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 0.16.999.49898-1mdv2011.0
+ Revision: 554076
- new version 0.16.999.49898

* Tue Jun 01 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.16.999.063-2mdv2010.1
+ Revision: 546848
- Remove duplicate desktop file (for display manager)
  CCBUG: 59123
- Don't manually run %%make_session: we have a filetrigger for it

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.16.999.063-1mdv2010.1
+ Revision: 478181
- update file list
- rediff fwin patch
- new version 0.16.999.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.16.999.062-1mdv2010.0
+ Revision: 411149
- new version 0.16.999.062

* Thu Jul 09 2009 Funda Wang <fwang@mandriva.org> 0.16.999.061-1mdv2010.0
+ Revision: 393742
- rediff fwin patch
- new version 0.16.999.061

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.16.999.060-1mdv2010.0
+ Revision: 370745
- rediff fwin patch
- bunzip2 patches
- New version 0.16.999.060

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.16.999.050-7mdv2009.1
+ Revision: 349955
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.16.999.050-6mdv2009.1
+ Revision: 349870
- only use a mdv background
- new background image

* Thu Mar 05 2009 Antoine Ginies <aginies@mandriva.com> 0.16.999.050-5mdv2009.1
+ Revision: 349135
- add a basic mdv theme
- increase default size of efm
- add sysconf action

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.16.999.050-4mdv2009.1
+ Revision: 347231
- remove *.a files
- fake e-config file
- new tarball
- adjust buildrequires
- SVN SNAPSHOT 20090227, release 0.16.999.050

* Wed Oct 15 2008 Funda Wang <fwang@mandriva.org> 0.16.999.050-3mdv2009.1
+ Revision: 293953
- consider mixer module movement

* Wed Oct 15 2008 Funda Wang <fwang@mandriva.org> 0.16.999.050-2mdv2009.1
+ Revision: 293926
- fix requires

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.16.999.050-1mdv2009.1
+ Revision: 292693
- add BR on eet binary and alsa
- New version 0.16.999.050

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.16.999.043-2mdv2009.0
+ Revision: 266596
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.16.999.043-1mdv2009.0
+ Revision: 214007
- New version 0.16.999.043

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.16.999.042-4mdv2008.1
+ Revision: 169002
- CVS snapshot 20080215, restore specific buildrequires

* Sun Feb 10 2008 Austin Acton <austin@mandriva.org> 0.16.999.042-3mdv2008.1
+ Revision: 164871
- fix lib64 path (bad coders! bad!)
- re-add wmsession file; we're not fully xdg yet

* Sun Feb 03 2008 Austin Acton <austin@mandriva.org> 0.16.999.042-2mdv2008.1
+ Revision: 161633
- fix requires

* Sun Feb 03 2008 Austin Acton <austin@mandriva.org> 0.16.999.042-1mdv2008.1
+ Revision: 161590
- new version
- fix URL
- try to simplify deps
- disable second session entry (is it necessary?)

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.041-2mdv2008.1
+ Revision: 105184
- fix epeg buildrequires, eet-devel buildrequires seems to be good (build error missing deps...)
- update buildrequires andrequires
- update buildrequires

* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.041-1mdv2008.0
+ Revision: 76866
- update buildrequires
- update E to release 0.16.999.041

* Wed Jun 13 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-11mdv2008.0
+ Revision: 38594
- CVS snapshot 20070613 wich fix:
- move and resize at the same time confusion
- Pager not updating properly
- border zone isnt updated when a border is moved to a different zone
- e segvs when a window gets closed and the winlist is shown directly afterwards
- ecore_con shutdown causes x to terminate
- Fix window group menu name
- add an application to ibar problem (corrupted .order file)

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.16.999.038-10mdv2008.0
+ Revision: 36144
- rebuild with correct optflags

  + Antoine Ginies <aginies@mandriva.com>
    - adjust some requires

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-8mdv2008.0
+ Revision: 35053
- CVS snapshot 20070604, major update of fr.po

* Sat Jun 02 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-7mdv2008.0
+ Revision: 34439
- increase release
- add pam-devel buildrequires, add doc/ /*, update fr.po file

* Fri Jun 01 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-6mdv2008.0
+ Revision: 33883
- increase mkrel
- fix problem while adding a new application in I

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-5mdv2008.0
+ Revision: 33062
- add edje buildrequires
- add some provides
- adjust some buildrequires
- not a typo :)
- fix typo

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-3mdv2008.0
+ Revision: 31089
- CVS snapshot 20070525

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-2mdv2008.0
+ Revision: 30657
- CVS snapshot 20070524

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-1mdv2008.0
+ Revision: 29284
- remove unwanted changelog
- cvs snapshot release 20070516
- update release, fix wmsessions.d file, adjust configure options
- cvs snapshot 20070516, adjust buildrequires

* Tue Apr 24 2007 Pascal Terjan <pterjan@mandriva.org> 0.16.999.037-2mdv2008.0
+ Revision: 17859
- Drop the menu-method, e17 now supports .desktop

* Tue Apr 24 2007 Pascal Terjan <pterjan@mandriva.org> 0.16.999.037-1mdv2008.0
+ Revision: 17734
- BuildRequires embryo
- 0.16.999.037
- remove the lib package
- update file list
- Import e



* Tue Mar 28 2006 Austin Acton <austin@mandriva.org> 0.16.999.023-0.20060323.3mdk
- typo

* Mon Mar 27 2006 Austin Acton <austin@mandriva.org> 0.16.999.023-0.20060323.2mdk
- requires evas and edje

* Sat Mar 25 2006 Austin Acton <austin@mandriva.org> 0.16.999.023-0.20060323.1mdk
- new cvs checkout

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 0.16.999.23-0.20060117.1mdk
- new cvs checkout

* Thu Nov 24 2005 AUstin Acton <austin@mandriva.org> 0.16.999.13-0.20051124.1mdk
- new cvs checkout
- disable valgrind

* Mon Nov 14 2005 Austin Acton <austin@mandriva.org> 0.16.999.13-0.20051109.2mdk
- buildrequires

* Thu Nov 10 2005 Austin Acton <austin@mandriva.org> 0.16.999.13-0.20051109.1mdk
- new cvs checkout

* Sun Sep 4 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050904.1mdk
- new cvs checkout

* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.5mdk
- update menu method from Guillaume Bedot

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.4mdk
- oops, make menu method exectuable

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.3mdk
- first test of menu method from Guillaume Bedot

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.2mdk
- multiarch binaries

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.16.999.010-0.20050627.1mdk
- new cvs checkout

* Thu Jun 9 2005 Austin Acton <austin@mandriva.org> 0.16.999.008-0.20050608.2mdk
- requires ewl, edb

* Wed Jun 8 2005 Austin Acton <austin@mandriva.org> 0.16.999.008-0.20050608.1mdk
- new cvs checkout

* Mon May 16 2005 Austin Acton <austin@mandriva.org> 0.16.999.007-0.20050511.3mdk
- fix wmsession file

* Mon May 16 2005 Austin Acton <austin@mandriva.org> 0.16.999.007-0.20050511.2mdk
- move config binary to devel package
- use wmsession.d

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 0.16.999.007-0.20050511.1mdk
- revamp e17 spec file
- add dm entry
- make parallel installable with enlightenment 16
